Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.hibernate
Class MddToClass

    java.lang.Object
      org.makumba.db.hibernate.MddToClass

    public class MddToClass

extends Object

Field Summary
`String` | `generatedClassPath`

Constructor Summary
`MddToClass(DataDefinition dd, String generationPath)`
`MddToClass(Vector<String> v, String generationPath, NameResolver nr)`

Method Summary
`void` | `appendClass(String classname, FieldDefinition fd)` Creates a bytecode .class file for the given DataDefinition
`void` | `generateClass(DataDefinition dd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generatedClassPath

    public String generatedClassPath

Constructor Detail

### MddToClass

    public MddToClass(Vector<String> v,
                      String generationPath,
                      NameResolver nr)
               throws javassist.CannotCompileException,
                      javassist.NotFoundException,
                      IOException

Throws:
  `javassist.CannotCompileException`
  `javassist.NotFoundException`
  `IOException`

### MddToClass

    public MddToClass(DataDefinition dd,
                      String generationPath)
               throws javassist.CannotCompileException,
                      javassist.NotFoundException,
                      IOException

Throws:
  `javassist.CannotCompileException`
  `javassist.NotFoundException`
  `IOException`

Method Detail

### appendClass

    public void appendClass(String classname,
                            FieldDefinition fd)
                     throws javassist.NotFoundException,
                            javassist.CannotCompileException,
                            IOException

  Creates a bytecode .class file for the given DataDefinition

  Parameters:
    `dd` - DataDefinition that needs to be mapped
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`
    `IOException`

### generateClass

    public void generateClass(DataDefinition dd)
                       throws javassist.CannotCompileException,
                              javassist.NotFoundException,
                              IOException

  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20